{ pkgs, lib, ... }: { 
  programs.hyprpanel = {
    settings = {
      "bar.layouts" = {
        "0" = {
          right = [ "battery" ];
        };
      };

      bar = {
        customModules = {
          cava = {
            framerate = lib.mkForce 120;
          };
        };
      };
    };
  };
}
